Package org.springframework.beans.factory.xml

# Interface DocumentLoader

All Known Implementing Classes:
  `DefaultDocumentLoader`

public interface DocumentLoader
Strategy interface for loading an XML `Document`.

Since:
  2.0
Author:
  Rob Harrop
See Also:
  - `DefaultDocumentLoader`

## Method Summary

Modifier and Type
Method
Description
`Document`
`loadDocument(InputSource inputSource, EntityResolver entityResolver, ErrorHandler errorHandler, int validationMode, boolean namespaceAware)`
Load a `document` from the supplied `source`.

## Method Details

### loadDocument

Document loadDocument(InputSource inputSource, EntityResolver entityResolver, ErrorHandler errorHandler, int validationMode, boolean namespaceAware) throws Exception
Load a `document` from the supplied `source`.

Parameters:
  `inputSource` - the source of the document that is to be loaded
  `entityResolver` - the resolver that is to be used to resolve any entities
  `errorHandler` - used to report any errors during document loading
  `validationMode` - the type of validation `DTD` or `XSD`)
  `namespaceAware` - `true` if support for XML namespaces is to be provided
Returns:
  the loaded `document`
Throws:
  `Exception` - if an error occurs